import request from '@/utils/request'

// 查询检验项目列表
export function listExamineProject(query) {
  return request({
    url: '/business/examineProject/list',
    method: 'get',
    params: query
  })
}

// 查询检验项目详细
export function getExamineProject(id) {
  return request({
    url: '/business/examineProject/' + id,
    method: 'get'
  })
}

// 新增检验项目
export function addExamineProject(data) {
  return request({
    url: '/business/examineProject',
    method: 'post',
    data: data
  })
}

// 修改检验项目
export function updateExamineProject(data) {
  return request({
    url: '/business/examineProject',
    method: 'put',
    data: data
  })
}

// 删除检验项目
export function delExamineProject(id) {
  return request({
    url: '/business/examineProject/' + id,
    method: 'delete'
  })
}
